This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 811801 - popt has problems with unicode characters
popt has problems with unicode characters
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: popt (Show other bugs)
19
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 21:57 EDT by Christoph Anton Mitterer
Modified: 2013-11-24 13:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-24 13:16:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 666430 None None None Never

  None (edit)
Description Christoph Anton Mitterer 2012-04-11 21:57:30 EDT
Hi.

Popt has apparently problems with unicode characters.
I tried to include some in the descrip and argDescrip field of the
option table, e.g.
- either directly "foo“”bar"
- or escaped "foo\u201c\u201dbar"
and then using the auto help functionallity.

popt reacts quite strangely sometimes it justs works and the characters
are printed correctly, sometimes it however skips the unicode characters
and all between them, but not necessarily for all the unicode characters used
ie.
"\u201cfoo\u201d bar \u201cbaz\u201d"
may become
bar “bar”
when printed.


Cheers,
Chris.
Comment 1 Fedora End Of Life 2013-04-03 13:17:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Robert Scheck 2013-11-24 11:33:29 EST
I am very sorry, but I do really not see how I could help here as Fedora is
downstream of popt. But http://rpm5.org/community/popt-devel/0268.html is a
forward of this request to upstream for discussions there.
Comment 3 Robert Scheck 2013-11-24 13:16:15 EST
Upstream replied to this at http://rpm5.org/community/popt-devel/0280.html -
from my point of view, there is nothing left thus I am closing this report.
In case you disagree with me, feel free to subscribe popt-devel mailing list
at upstream and let us discuss your point directly with upstream.

Note You need to log in before you can comment on or make changes to this bug.